summaryrefslogtreecommitdiff
path: root/test/testenv
diff options
context:
space:
mode:
Diffstat (limited to 'test/testenv')
-rwxr-xr-xtest/testenv8
1 files changed, 5 insertions, 3 deletions
diff --git a/test/testenv b/test/testenv
index 847a948..dcc54fa 100755
--- a/test/testenv
+++ b/test/testenv
@@ -31,15 +31,17 @@ old_pwd="$(pwd)"
if [[ -f $0 ]]; then
cd "${0%/*}"
fi
-make -C .. install DESTDIR=$destdir &>/dev/null || {
- echo 'error creating local install, cannot run tests'
+if ! make -C .. install DESTDIR="$destdir" &>"$TMPDIR/make-output"; then
+ echo 'error creating local install, cannot run tests' >&2
+ cat "$TMPDIR/make-output"
exit 1
-}
+fi
cd "$old_pwd"
# Set up the environment
export PATH="$destdir/usr/bin:$PATH"
export LIBRETOOLS_LIBDIR="$destdir/usr/lib/libretools"
+export XBS_LIBDIR="$destdir/usr/lib/xbs"
export HOME=$TMPDIR/home
export XDG_CACHE_HOME="$HOME/.cache"
export XDG_CONFIG_HOME="$HOME/.config"